clang 10.0.0git

Namespaces | Enumerations | Functions | Variables
CharInfo.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Compiler.h"`
`#include "llvm/Support/DataTypes.h"`
Include dependency graph for CharInfo.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::charinfo

## Enumerations
enum | { clang::charinfo::CHAR_HORZ_WS = 0x0001, clang::charinfo::CHAR_VERT_WS = 0x0002, clang::charinfo::CHAR_SPACE = 0x0004, clang::charinfo::CHAR_DIGIT = 0x0008, clang::charinfo::CHAR_XLETTER = 0x0010, clang::charinfo::CHAR_UPPER = 0x0020, clang::charinfo::CHAR_LOWER = 0x0040, clang::charinfo::CHAR_UNDER = 0x0080, clang::charinfo::CHAR_PERIOD = 0x0100, clang::charinfo::CHAR_RAWDEL = 0x0200, clang::charinfo::CHAR_PUNCT = 0x0400 }
enum | { clang::charinfo::CHAR_XUPPER = CHAR_XLETTER | CHAR_UPPER, clang::charinfo::CHAR_XLOWER = CHAR_XLETTER | CHAR_LOWER }

## Functions
LLVM_READNONE bool | clang::isASCII (char c)
| Returns true if this is an ASCII character. More...
LLVM_READONLY bool | clang::isIdentifierHead (unsigned char c, bool AllowDollar=false)
| Returns true if this is a valid first character of a C identifier, which is [a-zA-Z_]. More...
LLVM_READONLY bool | clang::isIdentifierBody (unsigned char c, bool AllowDollar=false)
| Returns true if this is a body character of a C identifier, which is [a-zA-Z0-9_]. More...
LLVM_READONLY bool | clang::isHorizontalWhitespace (unsigned char c)
| Returns true if this character is horizontal ASCII whitespace: ' ', '\t', '\f', '\v'. More...
LLVM_READONLY bool | clang::isVerticalWhitespace (unsigned char c)
| Returns true if this character is vertical ASCII whitespace: '\n', '\r'. More...
LLVM_READONLY bool | clang::isWhitespace (unsigned char c)
| Return true if this character is horizontal or vertical ASCII whitespace: ' ', '\t', '\f', '\v', '\n', '\r'. More...
LLVM_READONLY bool | clang::isDigit (unsigned char c)
| Return true if this character is an ASCII digit: [0-9]. More...
LLVM_READONLY bool | clang::isLowercase (unsigned char c)
| Return true if this character is a lowercase ASCII letter: [a-z]. More...
LLVM_READONLY bool | clang::isUppercase (unsigned char c)
| Return true if this character is an uppercase ASCII letter: [A-Z]. More...
LLVM_READONLY bool | clang::isLetter (unsigned char c)
| Return true if this character is an ASCII letter: [a-zA-Z]. More...
LLVM_READONLY bool | clang::isAlphanumeric (unsigned char c)
| Return true if this character is an ASCII letter or digit: [a-zA-Z0-9]. More...
LLVM_READONLY bool | clang::isHexDigit (unsigned char c)
| Return true if this character is an ASCII hex digit: [0-9a-fA-F]. More...
LLVM_READONLY bool | clang::isPunctuation (unsigned char c)
| Return true if this character is an ASCII punctuation character. More...
LLVM_READONLY bool | clang::isPrintable (unsigned char c)
| Return true if this character is an ASCII printable character; that is, a character that should take exactly one column to print in a fixed-width terminal. More...
LLVM_READONLY bool | clang::isPreprocessingNumberBody (unsigned char c)
| Return true if this is the body character of a C preprocessing number, which is [a-zA-Z0-9_. More...
LLVM_READONLY bool | clang::isRawStringDelimBody (unsigned char c)
| Return true if this is the body character of a C++ raw string delimiter. More...
LLVM_READONLY char | clang::toLowercase (char c)
| Converts the given ASCII character to its lowercase equivalent. More...
LLVM_READONLY char | clang::toUppercase (char c)
| Converts the given ASCII character to its uppercase equivalent. More...
LLVM_READONLY bool | clang::isValidIdentifier (StringRef S, bool AllowDollar=false)
| Return true if this is a valid ASCII identifier. More...

## Variables
const uint16_t | clang::charinfo::InfoTable [256]